Football
Football Match
Full match detail. Returns null (HTTP 200) when the match is
unresolvable; otherwise a partially-filled shape.
GET
/
v1
/
football
/
match
/
{match_id}
Football Match
curl --request GET \
--url https://api.polysimulator.com/v1/football/match/{match_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.polysimulator.com/v1/football/match/{match_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.polysimulator.com/v1/football/match/{match_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"competition": "<string>",
"status": "<string>",
"home": {
"id": "<string>",
"name": "<string>",
"countryCode": "<string>",
"shortName": "<string>"
},
"away": {
"id": "<string>",
"name": "<string>",
"countryCode": "<string>",
"shortName": "<string>"
},
"competitionId": "<string>",
"group": "<string>",
"kickoffUtc": "<string>",
"minute": 123,
"homeScore": 123,
"awayScore": 123,
"venue": "<string>",
"weatherC": 123,
"possession": {
"home": 123,
"away": 123
},
"xg": {
"home": 123,
"away": 123
},
"momentum": [
{
"minute": 123,
"value": 123
}
],
"commentary": [
{
"text": "<string>",
"minute": 123,
"type": "<string>"
}
],
"lineups": {
"home": {
"formation": "<string>",
"players": []
},
"away": {
"formation": "<string>",
"players": []
}
},
"topStats": [
{
"label": "<string>",
"home": "<unknown>",
"away": "<unknown>"
}
],
"shots": [
{
"x": 123,
"y": 123,
"team": "<string>",
"xg": 123
}
],
"formHome": [
"<string>"
],
"formAway": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}Authorizations
Issue from /v1/keys (or admin-issued for enterprise tier).
Path Parameters
Numeric match id
Pattern:
^\d{1,12}$Response
MatchDetail · object | null
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Football Match
